%global ppver 0.50

Name:		python-dstk
Version:	0.50
Release:	4%{?dist}
Summary:	Data Science Toolkit Client in Python

License:	BSD
URL:		http://www.datasciencetoolkit.org/
Source0:	http://www.datasciencetoolkit.org/dstk-%{ppver}.tar.gz

BuildRequires:	python2-devel python-setuptools

%description
An interface to the datasciencetoolkit.org open API for geocoding addresses, 
extracting entities and sentiment from unstructured text, and other common 
semantic and geo data tasks.


%prep
%setup -q -n dstk-%{ppver}


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{python2_sitelib}/dstk/
mkdir -p %{buildroot}%{_bindir}
cp dstk.py %{buildroot}%{python2_sitelib}/dstk/
cp dstk.py %{buildroot}%{_bindir}/dstk

%files
%{_bindir}/dstk
%{python2_sitelib}/*

%changelog
* Thu Oct 02 2014 Ye Myat Kaung <mavjs01@gmail.com> - 0.50-4
- Bump to 0.50-4, make sure dstk.py is installed in sitelib

* Thu Oct 02 2014 Ye Myat Kaung <mavjs01@gmail.com> - 0.50-3
- install dstk to /usr/bin/ properly

* Thu Oct 02 2014 Ye Myat Kaung <mavjs01@gmail.com> - 0.50-2
- make sure the package gets installed into sitelib as well as bindir.

* Mon Feb 24 2014 Ye Myat Kaung <mavjs01@gmail.com> - 0.50-1
- Initial package

